# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['@all']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kauth': '@latest-kf6'
    'frameworks/kcodecs': '@latest-kf6'
    'frameworks/kcompletion': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kconfigwidgets': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kdbusaddons': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kio': '@latest-kf6'
    'frameworks/kjobwidgets': '@latest-kf6'
    'frameworks/knotifications': '@latest-kf6'
    'frameworks/kpackage': '@latest-kf6'
    'frameworks/kservice': '@latest-kf6'
    'frameworks/kwallet': '@latest-kf6'
    'frameworks/kwidgetsaddons': '@latest-kf6'
    'frameworks/kwindowsystem': '@latest-kf6'
    'frameworks/modemmanager-qt': '@latest-kf6'
    'frameworks/networkmanager-qt': '@latest-kf6'
    'frameworks/solid': '@latest-kf6'
    'frameworks/kcmutils': '@latest-kf6'
    'third-party/qcoro': '@latest'
    'frameworks/ksvg': '@latest-kf6'
    'plasma/libplasma': '@same'
Options:
  require-passing-tests-on: [ 'Linux', 'FreeBSD']
  cmake-options: ' -DBUILD_MOBILE=ON'
